<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_69100b7c" . "21efad30d" . "73e5c90a4" . "39a5ce" => base64_decode("Ly4qXC50d" . "2lnJC8="), "_d155d43a39de93f858123c6b6ce31d" . "8a" => base64_decode("cHJlZ19" . "tYXRjaA" . "=="), "_e632e86b02887f94d49b7ed76a3e" . "bcdc" => base64_decode("VGVtcGxhdGU" . "gbm90IGZvdW" . "5k"), "templ" . "ate" => base64_decode("dGVtcGxhdG" . "U="), "_7313d9106eada68fc89" . "3a6d6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdpdGggdGh" . "lICoudHdpZyBleHRlbnNpb24="), "_2c83c05de4fa" . "1408a298026df" . "b8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blcl9" . "tb2Rl"), "_523a40c" . "86a0eb0d" . "317646ab" . "2bbd40de" . "8" => base64_decode("Tm8gdGVtcGxhdGUgcmVxdWVz" . "dGVk"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["templat" . "e"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["temp" . "late"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2c83c05de4fa1408a29802" . "6dfb8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d155d43a3" . "9de93f8581" . "23c6b6ce31" . "d8a"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_69100b7c21efad30d73e5c9" . "0a439a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_523a40c86a0eb0d317646ab2bbd" . "40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7313d9106eada68" . "fc893a6d6733b58a" . "6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e632e86b02" . "887f94d49b7" . "ed76a3ebcdc"]);
        }
        return $template;
    }
}